aboutsummaryrefslogtreecommitdiff
path: root/scripts/makefile
diff options
context:
space:
mode:
authorKimplul <kimi.h.kuparinen@gmail.com>2025-04-02 21:14:23 +0300
committerKimplul <kimi.h.kuparinen@gmail.com>2025-04-02 21:14:23 +0300
commit6c2e51a3f8695cb95d6a4a6859d3f934e28c8f9f (patch)
tree376f59a4dfd4c30891090c471995b71008672ada /scripts/makefile
parent5de12ad388b07e536c9c8ea04683e5e16472651b (diff)
downloadejit-6c2e51a3f8695cb95d6a4a6859d3f934e28c8f9f.tar.gz
ejit-6c2e51a3f8695cb95d6a4a6859d3f934e28c8f9f.zip
improve build system a bit
Diffstat (limited to 'scripts/makefile')
-rw-r--r--scripts/makefile13
1 files changed, 9 insertions, 4 deletions
diff --git a/scripts/makefile b/scripts/makefile
index 3a4f200..bd02c98 100644
--- a/scripts/makefile
+++ b/scripts/makefile
@@ -29,16 +29,21 @@ OBJCOPY != [ "$(LLVM)" != "0" ] \
&& echo llvm-objcopy \
|| echo $(CROSS_COMPILE)objcopy
-COMPILER != [ "$(LLVM)" != "0" ] \
- && echo clang --target="$(CROSS_COMPILE)" \
- || echo $(CROSS_COMPILE)gcc
+COMPILER != [ -n "$(CROSS_COMPILE)" ] \
+ && { \
+ [ "$(LLVM)" != "0" ] \
+ && echo clang --target="$(CROSS_COMPILE)" \
+ || echo $(CROSS_COMPILE)gcc \
+ ; \
+ } \
+ || echo $(CC)
OBFLAGS := -g
WARNFLAGS := -Wall -Wextra
COMPILE_FLAGS := $(CFLAGS) $(WARNFLAGS) $(OPTFLAGS) $(LTOFLAGS) \
- $(OBFLAGS) $(ASSERTFLAGS) $(DEBUGFLAGS)
+ $(OBFLAGS) $(DEBUGFLAGS)
INCLUDE_FLAGS := -I include